Skip to Content
API Reference
Delete TemplateDELETE

Delete Template

Delete an existing template from your DocuBloom account.

Endpoint

PUT https://docubloom.com/api/template/delete

Headers

All requests must include your API key in the Authorization header. If you don’t have an API key yet, you can create one in your organization settings . You should also set the Content-Type header to application/json to indicate that you are sending JSON data.

Authorization: Bearer YOUR_API_KEY Content-Type: application/json

Request Body

Definition of fields

FieldTypeRequiredDescription
templateKeystring✅Key of the template to delete

Example Request Body

{ "templateKey": "my-template-key" }

Response

If the request is successful, you will receive a 200 OK status code along with a response body as a JSON object. The Content-Type header will be application/json.

Example Response:

{ "success": true }

Status Codes

The API will return different HTTP status codes based on the outcome of your request.

StatusDescription
200Template successfully deleted
400Invalid request body
401Unauthorized – missing or invalid API key
404Template not found
500Internal server error
Last updated on